using System;

namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] a = new int[n];
            int x = -1;
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                
                a[i] = int.Parse(s[i]);
                if (a[i] <= l)
                {
                    x = i+1;
                }
            }
            Console.WriteLine(x);
        }
    }
}